/**
 * Exemplo de utilizao do JRadioButton
 * 
 * @author Flash
 * @version 24/10/2001
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TelaRadioButton extends JFrame implements ItemListener
{
    private JCheckBox negrito;
    private JCheckBox italico;
    private JPanel panel;
    private JRadioButton smallButton, mediumButton, largeButton;
    /**
     * Constructor for objects of class TelaCheckBox
     */
    public TelaRadioButton()
    {
       panel = new JPanel( );
       // smallButton, etc. so private
       smallButton  = new JRadioButton ("Small" , false);
       mediumButton = new JRadioButton ("Medium", true);
       largeButton  = new JRadioButton ("Large" , true);
       smallButton.addItemListener(this);
       mediumButton.addItemListener(this);
       largeButton.addItemListener(this);

       // Cria um buttongroup: permite que os botes se auto
       // se ativem/desativem
       ButtonGroup group = new ButtonGroup( );
       group.add (smallButton);
       group.add (mediumButton);
       group.add (largeButton);

       panel.add(smallButton);
       panel.add(mediumButton);
       panel.add(largeButton);

       getContentPane().add (panel, BorderLayout.SOUTH);
    }

    public void itemStateChanged(ItemEvent evt) 
    { 
      JRadioButton bot = (JRadioButton) evt.getItem();
      System.out.println("***** Button state changes: *****");
      if(bot==smallButton)
        System.out.println("Small: "+evt.getStateChange());
      else if(bot==mediumButton)
             System.out.println("Medium: "+evt.getStateChange());
      else if(bot==largeButton)
             System.out.println("Large: "+evt.getStateChange());
    }

    public static void main(String args[])
    {
        TelaRadioButton tela = new TelaRadioButton();
        tela.pack();
        tela.setVisible(true);
    }
}
